# CheckstyleExtension

abstract class CheckstyleExtension : CodeQualityExtension

Configuration options for the Checkstyle plugin.

#### See also

CheckstylePlugin

## Constructors

CheckstyleExtension
Link copied to clipboard
constructor(project: Project)

## Properties

config
Link copied to clipboard
open var config: TextResource
configDirectory
Link copied to clipboard
val configDirectory: DirectoryProperty
configProperties
Link copied to clipboard
open var configProperties: Map<String, Any>
enableExternalDtdLoad
Link copied to clipboard
@get:Incubating
@get:Optional
@get:Input
val enableExternalDtdLoad: Property<Boolean>
maxErrors
Link copied to clipboard
open var maxErrors: Int
maxWarnings
Link copied to clipboard
open var maxWarnings: Int
reportsDir
Link copied to clipboard
open var reportsDir: File
sourceSets
Link copied to clipboard
open var sourceSets: Collection<SourceSet>
toolVersion
Link copied to clipboard
open var toolVersion: String

## Functions

getConfigFile
Link copied to clipboard
open fun getConfigFile(): File
The Checkstyle configuration file to use.
isIgnoreFailures
Link copied to clipboard
open fun isIgnoreFailures(): Boolean
isShowViolations
Link copied to clipboard
open fun isShowViolations(): Boolean
Whether rule violations are to be displayed on the console.
setConfigFile
Link copied to clipboard
open fun setConfigFile(configFile: File)
The Checkstyle configuration file to use.
setConfigProperties
Link copied to clipboard
inline fun CheckstyleExtension.setConfigProperties(vararg configProperties: Pair<String, Any>)

Kotlin extension function for org.gradle.api.plugins.quality.CheckstyleExtension.setConfigProperties.

setIgnoreFailures
Link copied to clipboard
open fun setIgnoreFailures(ignoreFailures: Boolean)
setShowViolations
Link copied to clipboard
open fun setShowViolations(showViolations: Boolean)
Whether rule violations are to be displayed on the console.